Subject: bug#11482: 24.0.96; Keep `M-s' as a prefix key for search (conflict with Gnus)

From: "Drew Adams" <[email-masked]>
Date: Thu, 17 May 2012 08:23:17 -0700

> And Icicles was first! ;-)  Certainly there is nothing 
> special about Gnus, that it should get awarded the `M-s M-s' prize...
> 
> Anyway, I'd probably sooner keep `M-s M-s' as the default 
> value of the prefix key for Icicles users.  As I said, it's very
> easy for a user to customize the existing option to change the
> prefix key if need be.  And it's not clear that
> most Icicles users will use Gnus anyway. ;-)

FWIW, I might mention too that the Icicles + Gnus user who reported the conflict
chose to change the Gnus keybinding when I suggested he do one of the following:

>> Aside from learning about that conflict, here is how to remove
>> the conflict - you can do either of these:
>>
>> * Customize option `icicle-search-key-prefix', so that it is no
>>   longer `M-s M-s'.
>>
>> * Change the binding of `gnus-summary-search-article-forward'
>>   in `gnus-summary-mode-map' so that it is no longer `M-s'.
>
> I think I will go with the latter, although I'm not sure what
> to bind it to.  Your bug report below will hopefully alert Gnus
> developers to come up with something more sensible.